Page MenuHomePhabricator

Non-default statements greyed out
Closed, ResolvedPublic

Description

If I add other statements on a File page they're greyed out when I reload the page, unless their properties are in $wgMediaInfoProperties. Also the greyed-out statements have a popup when I click on them saying that they're not fully supported

Instead we need to only grey-out and provide a popup for properties whose values are not of the type wikibase-entityid. So, for example, depicts, instance of, location should not be greyed out or get a popup, but quantity and coordinate location should

Note that the popup text needs to be changed to reflect the fact the restriction is now on property type rather than property

Event Timeline

Cparle created this task.May 28 2019, 10:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2019, 10:30 AM

Change 512883 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Grey out statements based on type, not config

https://gerrit.wikimedia.org/r/512883

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jun 3 2019, 4:44 PM

Change 512883 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Grey out statements based on type, not config

https://gerrit.wikimedia.org/r/512883

Change 517975 had a related patch set uploaded (by Matthias Mullie; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.34.0-wmf.8] Grey out statements based on type, not config

https://gerrit.wikimedia.org/r/517975

Change 517975 merged by Matthias Mullie:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.34.0-wmf.8] Grey out statements based on type, not config

https://gerrit.wikimedia.org/r/517975

Ramsey-WMF closed this task as Resolved.Aug 7 2019, 11:06 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

This fix got to production and works. Used https://commons.wikimedia.org/wiki/File:Lengerich,_LWL-Klinik_--_2014_--_9810_--_Ausschnitt.jpg as a test file (it uses the "extracted from" property which does not take an entity as input).